package be.iminds.ilabt.jfed.rspec.model;

import be.iminds.ilabt.jfed.util.GeniUrn;

import java.util.List;

/**
 * User: twalcari
 * Date: 10/27/2015
 * Time: 11:04
 */
public interface AddressPool {


    String getClientId();

    void setClientId(String value);

    GeniUrn getComponentManagerId();

    void setComponentManagerId(GeniUrn value);

    Integer getCount();

    void setCount(Integer count);

    String getType();

    void setType(String type);

    void addIPv4(IPv4 iPv4);
    boolean deleteIPv4(IPv4 iPv4);
    List<? extends IPv4> getIPv4s();

    double getEditorX();
    double getEditorY();

    void setEditorX(double x);
    void setEditorY(double y);



}
